.toggle {
  position: relative;
  display: block;
  width: 52px;
  height: 28px;
  border-radius: 32px;
  border: 1px solid #B8B8B8;
  transition: 0.2s ease all;
  cursor: pointer;

  &__inner {
    position: absolute;
    left: 3px;
    top: 3px;
    width: 20px;
    height: 20px;
    background: #B8B8B8;
    border-radius: 50px;
    transition: 0.2s ease all;
  }

  &__active {
    background: #9FC581;
    border: 1px solid #9FC581;
    .toggle__inner {
      left: calc(100% - 24px);
      background: #fff;
    }
  }

  &__label {
    position: absolute;
    top: -4px;
    left: 50%;
    transform: translateY(-100%) translateX(-50%);
    font-size: 10px;
    line-height: 10px;
    opacity: 0.5;
    width: max-content;
  }

  &__labeled {
    margin-top: 14px;
  }
}